xMLdensity | R Documentation

## Function to visualise machine learning results using density plot

### Description

`xMLdensity` is supposed to visualise machine learning results using density plot. It returns an object of class "ggplot".

### Usage

    xMLdensity(xTarget, displayBy = c("All", "GS", "GSN", "GSP", "NEW"),
    x.scale = c("sqrt", "normal"), font.family = "sans",
    signature = TRUE)

### Arguments

`xTarget` | an object of class "xTarget" or "dTarget" (with the component 'pPerf')
`displayBy` | which targets will be used for displaying. It can be one of "GS" for gold standard targets, "GSN" for gold standard negatives, "GSP" for gold standard positives, "NEW" for putative/new targets (non-GS), "All" for all targets (by default)
`x.scale` | how to transform the x scale. It can be "normal" for no transformation, and "sqrt" for square root transformation (by default)
`font.family` | the font family for texts
`signature` | logical to indicate whether the signature is assigned to the plot caption. By default, it sets TRUE showing which function is used to draw this graph

### Value

an object of class "ggplot"

### Note

none

### See Also

`xMLrandomforest`

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    gp <- xMLdensity(xTarget, displayBy="All")
    gp

    ## End(Not run)